clang 8.0.0

Namespaces | Enumerations | Functions
ExceptionSpecificationType.h File Reference

Defines the ExceptionSpecificationType enumeration and various utility functions. More...

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.

## Enumerations
enum | clang::ExceptionSpecificationType { clang::EST_None, clang::EST_DynamicNone, clang::EST_Dynamic, clang::EST_MSAny, clang::EST_BasicNoexcept, clang::EST_DependentNoexcept, clang::EST_NoexceptFalse, clang::EST_NoexceptTrue, clang::EST_Unevaluated, clang::EST_Uninstantiated, clang::EST_Unparsed }
| The various types of exception specifications that exist in C++11. More...
enum | clang::CanThrowResult { clang::CT_Cannot, clang::CT_Dependent, clang::CT_Can }
| Possible results from evaluation of a noexcept expression. More...

## Functions
bool | clang::isDynamicExceptionSpec (ExceptionSpecificationType ESpecType)
bool | clang::isComputedNoexcept (ExceptionSpecificationType ESpecType)
bool | clang::isNoexceptExceptionSpec (ExceptionSpecificationType ESpecType)
bool | clang::isUnresolvedExceptionSpec (ExceptionSpecificationType ESpecType)
CanThrowResult | clang::mergeCanThrow (CanThrowResult CT1, CanThrowResult CT2)

## Detailed Description

Defines the ExceptionSpecificationType enumeration and various utility functions.

Definition in file ExceptionSpecificationType.h.